# std::_Base_bitset< _Nw > Struct Template Reference

Inheritance diagram for std::_Base_bitset< _Nw >:

List of all members.

## Detailed Description

### template<size_t _Nw>
struct std::_Base_bitset< _Nw >

Definition at line 78 of file bitset.

## Public Types

- typedef unsigned long _WordT

## Public Member Functions

- _Base_bitset (unsigned long __val)
- _Base_bitset ()
- void _M_do_and (const _Base_bitset< _Nw > &__x)
- size_t _M_do_count () const
- size_t _M_do_find_first (size_t __not_found) const
- size_t _M_do_find_next (size_t __prev, size_t __not_found) const
- void _M_do_flip ()
- void _M_do_left_shift (size_t __shift)
- void _M_do_or (const _Base_bitset< _Nw > &__x)
- void _M_do_reset ()
- void _M_do_right_shift (size_t __shift)
- void _M_do_set ()
- unsigned long _M_do_to_ulong () const
- void _M_do_xor (const _Base_bitset< _Nw > &__x)
- _WordT _M_getword (size_t __pos) const
- _WordT & _M_getword (size_t __pos)
- _WordT _M_hiword () const
- _WordT & _M_hiword ()
- bool _M_is_any () const
- bool _M_is_equal (const _Base_bitset< _Nw > &__x) const

## Static Public Member Functions

- static _WordT _S_maskbit (size_t __pos)
- static size_t _S_whichbit (size_t __pos)
- static size_t _S_whichbyte (size_t __pos)
- static size_t _S_whichword (size_t __pos)

## Public Attributes

- _WordT _M_w [_Nw]

## Member Data Documentation

template<size_t _Nw>

_WordT std::_Base_bitset< _Nw >::_M_w[_Nw]

0 is the least significant word.

Definition at line 83 of file bitset.

Referenced by std::_Base_bitset< 1 >::_M_do_and(), std::_Base_bitset< ((_Nb)< 1?0:((_Nb)+std::numeric_limits< unsigned long >::digits-1)/std::numeric_limits< unsigned long >::digits)>::_M_do_and(), std::_Base_bitset< 1 >::_M_do_count(), std::_Base_bitset< 1 >::_M_do_find_first(), std::_Base_bitset< _Nw >::_M_do_find_first(), std::_Base_bitset< 1 >::_M_do_find_next(), std::_Base_bitset< _Nw >::_M_do_find_next(), std::_Base_bitset< 1 >::_M_do_flip(), std::_Base_bitset< 1 >::_M_do_left_shift(), std::_Base_bitset< _Nw >::_M_do_left_shift(), std::_Base_bitset< 1 >::_M_do_or(), std::_Base_bitset< ((_Nb)< 1?0:((_Nb)+std::numeric_limits< unsigned long >::digits-1)/std::numeric_limits< unsigned long >::digits)>::_M_do_or(), std::_Base_bitset< 1 >::_M_do_reset(), std::_Base_bitset< 1 >::_M_do_right_shift(), std::_Base_bitset< _Nw >::_M_do_right_shift(), std::_Base_bitset< 1 >::_M_do_set(), std::_Base_bitset< 1 >::_M_do_to_ulong(), std::_Base_bitset< _Nw >::_M_do_to_ulong(), std::_Base_bitset< 1 >::_M_do_xor(), std::_Base_bitset< ((_Nb)< 1?0:((_Nb)+std::numeric_limits< unsigned long >::digits-1)/std::numeric_limits< unsigned long >::digits)>::_M_do_xor(), std::_Base_bitset< 1 >::_M_getword(), std::_Base_bitset< 1 >::_M_hiword(), std::_Base_bitset< 1 >::_M_is_any(), std::_Base_bitset< 1 >::_M_is_equal(), and std::_Base_bitset< ((_Nb)< 1?0:((_Nb)+std::numeric_limits< unsigned long >::digits-1)/std::numeric_limits< unsigned long >::digits)>::_M_is_equal().

The documentation for this struct was generated from the following file:

- bitset